WPMU DEV plugins compatibility with Buddypress WPMU sites

I have a WPMU 2.9.2 setup with BP 1.2.3

I'm interested in using some WPMU plugins that are listed under the main WPMU tab that are not listed under the BUDDYPRESS tab. Is there a list of which of these would be compatible with a Buddypress setup? For example, I am considering using the "Simple Ads," "Autoblog," and "Ad Sharing" plugins but I haven't read anywhere if there would be a conflict in using these with Buddypress set up. Would these be compatible?... are all of them essentially compatible by virtue of me using WPMU?... are none of them compatible?

Thanks in advance for your time!

  • Aaron
    • CTO

    There shouldn't really be any conflicts. There is a compatible with section on the side of every plugin. The only ones you might run into issues with are ones that modify the signup, like password or no email activation.

    Some plugins are not necessary as well as BP provides them, like avatars.

  • David Payne
    • Site Builder, Child of Zeus

    Thanks Aaron,

    I'll give them a try. The reason I wanted to ask first is because the "Autoblog" and "Ad Sharing" plugins are only listed as being compatible with WPMU 2.9.2 and not Buddypress. The "Simple Ads" plugin is listed as being compatible with Buddypress but is not located in the Buddypress Plugins section.

  • bradpalmore
    • Site Builder, Child of Zeus

    I've noticed that several of the plugins that are listed as WPMU compatible are not listed as Buddypress compatible but that they actually are. I suppose that makes sense to people who really understand the inner workings of WPMU and BP, but I am not one of those people.Trial and error have been the rule so far.

  • exberry
    • The Incredible Code Injector

    Today, I added several plugins that sounded nice but then I discovered several that should not be used with BP. I am still searching through them to find the ones I must delete. Some only duplicated functions in BP. Other are slowing BP down by at least a factor of 10.

    I would like to see a warning at the top of every plugin that is not recommended with BP.

    Here are some candidates:

    blogs-directory
    friends
    forums
    members
    messaging
    blog-activity
    user-activity

    I am not sure about all the plugins beginning with "recent"

    I have to keep eliminating until I find what ones are slowing BP down.

    I would appreciate any suggestions.

    Then I have to guess what ones added tables to the database.

    Thanks,

    Ed

  • Andrew
    • Champion of Loops

    Hiya,

    I would like to see a warning at the top of every plugin that is not recommended with BP.

    That's really not needed. Check out the "All Plugins" link under the BuddyPress menu (main site menu). Also, each and every plugin page has a "compatible with" section in the right sidebar. Please make sure you check that section before downloading a plugin.

    Thanks,
    Andrew

  • georgef
    • The Incredible Code Injector

    Hey Ed,

    Thanks for the PDF.

    Thought I'd mention that there are a few plugins in there that I've been using on my Buddypress site and they seem to be working fine...

    Supporter Advertising
    Tag posts
    Wordpress MU Affiliate

    Thanks!

    George

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.